package de.hft.geotracker.retrofit

import de.hft.geotracker.data.JWToken
import okhttp3.Interceptor
import okhttp3.Response
import java.io.BufferedReader
import java.io.InputStreamReader
import java.lang.StringBuilder

class AuthenticationInterceptor(pToken : String) : Interceptor {
    val token = pToken

    override fun intercept(chain: Interceptor.Chain): Response {
        var original = chain.request()
        var builder = original.newBuilder()
            .header("Authorization", token)
        val request = builder.build()
        return chain.proceed(request)
    }

}